Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get oauth client

GET/workspaces/{organizationId}/oauth-clients/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

OAuth client

idstringrequired
organizationIdstringrequired
namestringrequired
redirectUrisstring[]required
scopesstring[]required
permissionsstringrequired
createdAtstringrequired
404

OAuth client not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/oauth-clients/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "redirectUris": [
    "string"
  ],
  "scopes": [
    "string"
  ],
  "permissions": "string",
  "createdAt": "string"
}

Was this page helpful?